"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TAB = exports.stopSpinner = exports.timeout = exports.yellowColor = exports.purpleColor = exports.redColor = exports.greenColor = void 0;
const chalk_1 = require("chalk");
const TAB = '  ';
exports.TAB = TAB;
const SPINNER_COLOR = 'magenta';
const greenColor = chalk_1.default.hex('#00ff00');
exports.greenColor = greenColor;
const redColor = chalk_1.default.hex('#ff0000');
exports.redColor = redColor;
const purpleColor = chalk_1.default.hex('#800080');
exports.purpleColor = purpleColor;
const yellowColor = chalk_1.default.hex('#ffff00');
exports.yellowColor = yellowColor;
const timeout = async (ms, throbber, persistMessage, icon) => {
    throbber.color = SPINNER_COLOR;
    await new Promise((resolve) => setTimeout(resolve, ms));
    throbber.stopAndPersist({
        symbol: TAB + icon,
        text: persistMessage,
    });
};
exports.timeout = timeout;
const stopSpinner = (throbber, persistMessage, icon) => {
    throbber.color = SPINNER_COLOR;
    throbber.stopAndPersist({
        symbol: TAB + icon,
        text: persistMessage,
    });
};
exports.stopSpinner = stopSpinner;
//# sourceMappingURL=oraUtils.js.map